New firefox version isn't compatible with Windows 7

Name:    Randell B.
Email:   slight07athotmaildotcom
Product: Firefox
Summary: New firefox version isn't compatible with Windows 7

Comments: 
Hello,

I only use firefox.  Today when I woke up, automatic updates had 
installed the new version, and nothing happens when I try to open it.  
I can only use Internet Explorer, which sucks.  When I reinstall 
Firefox it says it's not compatible with this version of Windows (32 
bit Windows 7).  Bummer.

Browser Details: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; Trident/4.0; Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1) ; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; InfoPath.1; Media Center PC 5.0; SLCC1; Tablet PC 2.0; Zune 4.0; OfficeLiveConnector.1.5; OfficeLivePatch.1.3)
From URL: http://hendrix.mozilla.org/

Note to readers: Hendrix gives no expectation of a response to this feedback 
but if you wish to provide one you must BCC (not CC) the sender for them to 
see it.
0
Randell
6/24/2010 1:24:11 PM
mozilla.feedback.firefox 118464 articles. 8 followers. Post Follow

0 Replies
494 Views

Similar Articles

[PageSpeed] 59
Get it on Google Play
Get it on Apple App Store

Reply: